LibreOffice: MozillaBootstrap Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

List of all members
MozillaBootstrap Service Referencepublished

Allow to discover Mozilla/Thunderbird profiles Allow init Mozilla XPCOM using selected profile and switch profiles. More...

`import"MozillaBootstrap.idl";`

Inheritance diagram for MozillaBootstrap:

## Additional Inherited Members
Exported Interfaces inherited from XMozillaBootstrap
interface | XProfileDiscover
interface | XProfileManager
interface | XProxyRunner
Public Member Functions inherited from XProfileDiscover
long | getProfileCount ([in]MozillaProductType product)
| attempts to get the profiles count. More...
long | getProfileList ([in]MozillaProductType product, [out] sequence< string > list)
| attempts to get the profile list for the given product. More...
string | getDefaultProfile ([in]MozillaProductType product)
| attempts to get the default profile name for the given product. More...
string | getProfilePath ([in]MozillaProductType product, [in]string profileName)
| attempts to get the full path for the given profile. More...
boolean | isProfileLocked ([in]MozillaProductType product, [in]string profileName)
| attempts to get whether profile is locked by other applications. More...
boolean | getProfileExists ([in]MozillaProductType product, [in]string profileName)
| return true if the given profile exists More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XProfileManager
long | bootupProfile ([in]MozillaProductType product, [in]string profileName)
| attempts to init XPCOM runtime using given profile. More...
long | shutdownProfile ()
| attempts to shutdown the current profile. More...
MozillaProductType | getCurrentProduct ()
| attempts to get the current product. More...
string | getCurrentProfile ()
| attempts to get the current profile name. More...
boolean | isCurrentProfileLocked ()
| attempts to check whether the current profile locked or not More...
string | setCurrentProfile ([in]MozillaProductType product, [in]string profileName)
| attempts to set the current used profile name for the given product. More...
Public Member Functions inherited from XProxyRunner
long | Run ([in]XCodeProxy aCode)
| attempts to Run XPCOM code in a managed environment More...

## Detailed Description

Allow to discover Mozilla/Thunderbird profiles Allow init Mozilla XPCOM using selected profile and switch profiles.

See also
  XMozillaBootstrap

The documentation for this service was generated from the following file:

- com/sun/star/mozilla/MozillaBootstrap.idl